## smokekde 4.10.3

=== CMakeLists.txt ===
project(SmokeKDE)

find_package(KDE4 REQUIRED)
if(KDE_VERSION VERSION_LESS "4.2.0")
    find_package(Plasma)
endif(KDE_VERSION VERSION_LESS "4.2.0")
include(KDE4Defaults)
find_package(Smoke COMPONENTS QtCore QtGui QtXml QtOpenGl QtSql QtNetwork QtDbus QtSvg)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${SMOKE_CMAKE_MODULE_DIR})
include(MacroLibrary)
include(MacroOptionalAddBindings)

set(QTDEFINES_FILE ${SMOKE_GEN_SHARED}/qtdefines CACHE FILEPATH "Path to the qtdefines file")
if(NOT EXISTS ${QTDEFINES_FILE})
    message(FATAL_ERROR "${QTDEFINES_FILE} doesn't exist. Please adjust the path manually")
endif(NOT EXISTS ${QTDEFINES_FILE})

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${SMOKE_INCLUDE_DIR})

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DQT3_SUPPORT)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} )

## disable deprecation waringins
if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
endif()

macro_optional_find_package(LibAttica)
macro_log_feature(LIBATTICA_FOUND "libattica" "LibAttica" "http://www.kde.org" FALSE "" "Needed to compile libattica bindings")

macro_optional_find_package(Soprano)
macro_log_feature(SOPRANO_FOUND "Soprano" "Soprano libraries" "http://soprano.sourceforge.net" FALSE "" "Needed to compile Soprano bindings")

macro_optional_find_package(Nepomuk)
macro_log_feature(NEPOMUK_FOUND "Nepomuk" "Nepomuk libraries" "http://www.kde.org" FALSE "" "Needed to compile Nepomuk bindings")

macro_optional_find_package(KdepimLibs)
macro_log_feature(KDEPIMLIBS_FOUND "kdepimlibs" "KDE PIM libraries" "http://www.kde.org" FALSE "" "Needed to compile Akonadi bindings")

macro_optional_find_package(Akonadi)
macro_log_feature(Akonadi_FOUND "Akonadi" "Akonadi libraries" "http://www.kde.org" FALSE "" "Needed to compile Akonadi bindings")

macro_optional_find_package(Okular)
macro_log_feature(OKULAR_FOUND "Okular" "Okular libraries" "http://www.kde.org" FALSE "" "Needed to compile Okular bindings")

macro_optional_add_bindings(KDE4_FOUND "KDECore" kdecore)
macro_optional_add_bindings(KDE4_FOUND "KDEUi" kdeui)
macro_optional_add_bindings(KDE4_FOUND "KIO" kio)
macro_optional_add_bindings(KDE4_FOUND "KParts" kparts)
macro_optional_add_bindings(KDE4_FOUND "KFile" kfile)
macro_optional_add_bindings(KDE4_FOUND "KNewStuff2" knewstuff2)
macro_optional_add_bindings(KDE4_FOUND "KNewStuff3" knewstuff3)
macro_optional_add_bindings(KDE4_FOUND "KUtils" kutils)
macro_optional_add_bindings(KDE4_FOUND "KHTML" khtml)
macro_optional_add_bindings(KDE4_FOUND "KTextEditor" ktexteditor)
macro_optional_add_bindings(KDE4_FOUND "Solid" solid)
macro_optional_add_bindings(KDE4_FOUND "Plasma" plasma)

macro_optional_add_bindings(Soprano_FOUND "Soprano" soprano sopranoclient sopranoserver)

if(KDEPIMLIBS_FOUND AND Akonadi_FOUND)
    set(BUILD_Akonadi TRUE)
else(KDEPIMLIBS_FOUND AND Akonadi_FOUND)
    set(BUILD_Akonadi FALSE)
endif(KDEPIMLIBS_FOUND AND Akonadi_FOUND)
macro_optional_add_bindings(BUILD_Akonadi "Akonadi" akonadi)

macro_optional_add_bindings(LIBATTICA_FOUND "Attica" attica)

macro_optional_add_bindings(Nepomuk_FOUND "Nepomuk" nepomuk nepomukquery)

macro_optional_add_bindings(OKULAR_FOUND "Okular" okular)

find_library(KATEINTERFACES_LIBRARY kateinterfaces HINTS ${KDE4_LIB_DIR})
find_path(KATE_INCLUDE_DIR kate/plugin.h HINTS ${KDE4_INCLUDE_DIR})

macro_optional_add_bindings(KATE_INCLUDE_DIR "Kate" kate)

macro_display_bindings_log()
macro_display_feature_log()

=== knewstuff2/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/smoke )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/knewstuff2_includes.h
    DEPENDS ${SMOKE_GEN_BIN} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokeknewstuff2_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

include_directories( ${QT_INCLUDES} ${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR} )

kde4_add_library(smokeknewstuff2 SHARED ${smokeknewstuff2_LIB_SRCS})

# add_dependencies(smokeknewstuff2 smokeqt)

target_link_libraries(smokeknewstuff2
    ${QT_QTCORE_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KNEWSTUFF2_LIBS}
    smokekdeui
    ${SMOKE_QTCORE_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
)

set_target_properties(smokeknewstuff2 PROPERTIES VERSION 3.0.0 SOVERSION 3 )
install(TARGETS smokeknewstuff2 DESTINATION ${LIB_INSTALL_DIR} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../knewstuff2_smoke.h DESTINATION include/smoke)

=== kparts/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/smoke )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -- ${CMAKE_CURRENT_SOURCE_DIR}/kparts_includes.h
    DEPENDS ${SMOKE_GEN_BIN} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokekparts_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

include_directories( ${QT_INCLUDES} ${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR} )

kde4_add_library(smokekparts SHARED ${smokekparts_LIB_SRCS})

# add_dependencies(smokekparts smokeqt)

target_link_libraries(smokekparts
    ${QT_QTCORE_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KPARTS_LIBS}
    smokekio
    ${SMOKE_QTCORE_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
)

set_target_properties(smokekparts PROPERTIES VERSION 3.0.0 SOVERSION 3 )
install(TARGETS smokekparts DESTINATION ${LIB_INSTALL_DIR} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../kparts_smoke.h DESTINATION include/smoke)

=== debian/changelog ===
smokekde (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, no remaining changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:05:02 +0000

smokekde (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 02:07:23 +0200

smokekde (4:4.10.2-1) experimental; urgency=low

  * New upstream release.
  * Bump some build-dep versions.

 -- Sune Vuorela <sune@debian.org>  Sun, 07 Apr 2013 16:37:12 +0000

=== debian/control ===
Source: smokekde
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
 smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
 kdelibs5-dev (>= 4:4.10), kdepimlibs5-dev (>= 4:4.10),
 libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10), libakonadi-dev, libattica-dev,
 libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
 pkg-config,
Standards-Version: 3.9.3
Homepage: http://projects.kde.org/projects/kde/kdebindings/smoke/smokekde
X-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-sc/smokekde.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokekde
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/smokekde
X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/smokekde.git;a=summary

Package: libsmokekdecore4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KDE Core SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE Core parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekdeui4-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KDE Ui SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE User Interface parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekfile3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KFile SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KFile parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekparts3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KParts SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KParts parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokektexteditor3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KTextEditor SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE KTextEditor parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekutils3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KUtils SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KUtils parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesolid3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Solid SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Solid parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeattica3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Attica SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Attica parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekhtml3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KHTML SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KHTML parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekio3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KIO SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KIO parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeknewstuff2-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KNewStuff2 SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KNewStuff v2 parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeknewstuff3-3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: KNewStuff3 SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KNewStuff v3 parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeokular3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Okular SMOKE bindings
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Okular parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeplasma3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Plasma SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Plasma parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokeakonadi3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Akonadi SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Akonadi parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokenepomuk3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Nepomuk SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Nepomuk parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokenepomukquery3
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Nepomuk Query SMOKE libraries
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Nepomuk Query parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesoprano3
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libsmokekde4-2 (<< 4:4.2.60)
Replaces: libsmokekde4-2 (<< 4:4.2.60)
Architecture: any
Description: Soprano SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Soprano parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesopranoclient3
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libsmokekde4-2 (<< 4:4.2.60)
Replaces: libsmokekde4-2 (<< 4:4.2.60)
Architecture: any
Description: Soprano Client SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Soprano client parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokesopranoserver3
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libsmokekde4-2 (<< 4:4.2.60)
Replaces: libsmokekde4-2 (<< 4:4.2.60)
Architecture: any
Description: Soprano Server SMOKE library
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the Soprano server parts of SMOKE.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekde4-dbg
Section: debug
Depends: libsmokekdecore4-3 (= ${binary:Version}), ${misc:Depends}
Breaks: kdebindings-dbg
Replaces: kdebindings-dbg
Architecture: any
Priority: extra
Description: KDE SMOKE libraries -- debug symbols
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains debug symbols for the KDE SMOKE libraries.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

Package: libsmokekde-dev
Section: libdevel
Depends: libsmokeqt4-dev, smoke-dev-tools,
 ${so:Depends}, ${misc:Depends}
Architecture: any
Description: KDE SMOKE libraries -- development files
 SMOKE libraries are part of the bindings used for Qt and KDE. This package
 contains the KDE SMOKE development files.
 .
 SMOKE provides infrastructure which is used for creating bindings for
 multiple languages such as Ruby, C# and PHP.
 .
 This is part of the SMOKE KDE module.

## smokekde 4.10.4

=== debian/changelog ===
smokekde (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:59:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.10), kdepimlibs5-dev (>= 4:4.10),
+ kdelibs5-dev (>= 4:4.10.4), kdepimlibs5-dev (>= 4:4.10.4),
  libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,

## smokekde 4.10.80

=== attica/CMakeLists.txt ===
find_package(LibAttica REQUIRED)

if(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    add_definitions(-DGCC_VISIBILITY)
endif(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

include_directories( ${CMAKE_SOURCE_DIR}/smoke ${LIBATTICA_INCLUDE_DIR} )

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/../kdecore/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -L "${LIBRARY_OUTPUT_PATH}" -- ${CMAKE_CURRENT_SOURCE_DIR}/attica_includes.h
    DEPENDS ${SMOKE_GEN_BIN} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokeattica_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
)

kde4_add_library(smokeattica SHARED ${smokeattica_LIB_SRCS})

target_link_libraries(smokeattica 
    ${QT_QTCORE_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${LIBATTICA_LIBRARIES}
    ${SMOKE_QTCORE_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
)

set_target_properties(smokeattica PROPERTIES VERSION 3.0.0 SOVERSION 3 )
install(TARGETS smokeattica DESTINATION ${LIB_INSTALL_DIR} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../attica_smoke.h DESTINATION include/smoke )

########### install files ###############

=== kdecore/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/smoke )

configure_file(config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.xml @ONLY)
configure_file(kde-config.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/kde-config.xml @ONLY)

########### next target ###############

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp 
    ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp

    COMMAND ${SMOKE_GEN_BIN}
    ARGS -config "${CMAKE_CURRENT_BINARY_DIR}/config.xml" -smokeconfig "${CMAKE_CURRENT_SOURCE_DIR}/smokeconfig.xml"
         -L "${LIBRARY_OUTPUT_PATH}" -- ${CMAKE_CURRENT_SOURCE_DIR}/kdecore_includes.h
    DEPENDS ${SMOKE_GEN_BIN} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

macro_add_file_dependencies( ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp )

set(smokekdecore_LIB_SRCS ${CMAKE_CURRENT_BINARY_DIR}/smokedata.cpp  
                ${CMAKE_CURRENT_BINARY_DIR}/x_1.cpp 
                ${CMAKE_CURRENT_BINARY_DIR}/x_2.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_3.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_4.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_5.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_6.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_7.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_8.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_9.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_10.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_11.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_12.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_13.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_14.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_15.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_16.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_17.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_18.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_19.cpp
                ${CMAKE_CURRENT_BINARY_DIR}/x_20.cpp
)

IF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")
    ADD_DEFINITIONS(-DGCC_VISIBILITY)
ENDIF(CMAKE_CXX_FLAGS MATCHES "-fvisibility")

include_directories( ${QT_INCLUDES} ${KDE4_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_SOURCE_DIR} )

kde4_add_library(smokekdecore SHARED ${smokekdecore_LIB_SRCS})

target_link_libraries(smokekdecore
    ${QT_QTCORE_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${SMOKE_QTCORE_LIBRARY}
    ${SMOKE_QTNETWORK_LIBRARY}
    ${SMOKE_QTDBUS_LIBRARY}
    ${SMOKE_BASE_LIBRARY}
)

set_target_properties(smokekdecore PROPERTIES VERSION 3.0.0 SOVERSION 3 )
install(TARGETS smokekdecore DESTINATION ${LIB_INSTALL_DIR} )
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/../kdecore_smoke.h DESTINATION include/smoke)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kde-config.xml DESTINATION share/smokegen)

=== debian/changelog ===
smokekde (4:4.10.80-0ubuntu2) saucy; urgency=low

  * No change rebuild for mulitple transitions

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Jun 2013 02:06:45 -0400

smokekde (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:05:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.10.4), kdepimlibs5-dev (>= 4:4.10.4),
+ kdelibs5-dev (>= 4:4.10.80), kdepimlibs5-dev (>= 4:4.10.80),
  libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,

## smokekde 4.10.90

=== debian/changelog ===
smokekde (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:36:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.10.80), kdepimlibs5-dev (>= 4:4.10.80),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.10.90), kdepimlibs5-dev (>= 4:4.10.90),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10.90), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3

## smokekde 4.10.95

=== debian/changelog ===
smokekde (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:42 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.10.90), kdepimlibs5-dev (>= 4:4.10.90),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10.90), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.10.95), kdepimlibs5-dev (>= 4:4.10.95),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10.95), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3

## smokekde 4.10.97

=== debian/changelog ===
smokekde (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:15:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.10.95), kdepimlibs5-dev (>= 4:4.10.95),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10.95), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.10.97), kdepimlibs5-dev (>= 4:4.10.97),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10.97), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3

## smokekde 4.11.0

=== debian/changelog ===
smokekde (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:46:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.10.97), kdepimlibs5-dev (>= 4:4.10.97),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.10.97), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.11.0), kdepimlibs5-dev (>= 4:4.11.0),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.0), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3

## smokekde 4.11.1

=== debian/changelog ===
smokekde (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:46:10 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.11.0), kdepimlibs5-dev (>= 4:4.11.0),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.0), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.11.1), kdepimlibs5-dev (>= 4:4.11.1),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.1), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3

## smokekde 4.11.2

=== debian/changelog ===
smokekde (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:02:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.11.1), kdepimlibs5-dev (>= 4:4.11.1),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.1), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.11.2), kdepimlibs5-dev (>= 4:4.11.2),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.2), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3

## smokekde 4.11.80

=== debian/changelog ===
smokekde (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:07:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.11.2), kdepimlibs5-dev (>= 4:4.11.2),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.2), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.11.80), kdepimlibs5-dev (>= 4:4.11.80),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.80), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3

## smokekde 4.11.95

=== debian/changelog ===
smokekde (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:46:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.11.80), kdepimlibs5-dev (>= 4:4.11.80),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.80), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.11.95), kdepimlibs5-dev (>= 4:4.11.95),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.95), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3

## smokekde 4.11.97

=== debian/changelog ===
smokekde (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:52:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.11.95), kdepimlibs5-dev (>= 4:4.11.95),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.95), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.11.97), kdepimlibs5-dev (>= 4:4.11.97),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.97), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3

## smokekde 4.12.0

=== debian/changelog ===
smokekde (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:53:44 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Sune Vuorela <sune@debian.org>, David Palacio <dpalacio@orbitalibre.org>, Michael Meskes <meskes@debian.org>
 Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.6.8), cmake,
  smoke-dev-tools (>= 4:4.10), libsmokeqt4-dev (>= 4:4.10),
- kdelibs5-dev (>= 4:4.11.97), kdepimlibs5-dev (>= 4:4.11.97),
- libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.11.97), libakonadi-dev, libattica-dev,
+ kdelibs5-dev (>= 4:4.12.0), kdepimlibs5-dev (>= 4:4.12.0),
+ libqt4-opengl-dev, libsoprano-dev, okular-dev (>= 4:4.12.0), libakonadi-dev, libattica-dev,
  libx11-dev, shared-desktop-ontologies, nepomuk-core-dev,
  pkg-config,
 Standards-Version: 3.9.3
